Name: xfce4-session
Version: 4.8.1
Release: alt1

Summary: Session manager for XFce desktop environment
Summary (ru): Менеджер сессий для окружения рабочего стола Xfce
License: %gpl2plus
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: XFCE Team <xfce@packages.altlinux.org>

Source: %name-%version.tar
Patch0: xfce4-session-4.8.0-ubuntu-correct-shadows.patch

%def_enable gnome

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-devel libxfconf-devel libxfce4ui-devel
# GNOME compatibility
%{?_enable_gnome:BuildRequires: libGConf-devel libgnome-keyring-devel}
BuildRequires: gnome-doc-utils xml-utils xsltproc
BuildRequires: iceauth imake intltool libSM-devel libglade-devel libwnck-devel xorg-cf-files

%description
%name is the session manager for the XFce desktop environment.

%description -l ru
Данный пакет содержит в себе менеджер сессий, используемый в окружении
рабочего стола Xfce.

%package -n libxfsm
Summary: Library for XFce session manager plugins
Group: Development/C
License: GPL

%description -n libxfsm
This package contains library for XFce session manager.

%package devel
Summary: Development files to build XFce session manager plugins
Group: Development/C
License: GPL
PreReq: libxfsm = %version-%release

%description devel
This package contains files to develop plugins for XFce session manager.

%package engines
Summary: Additional splash screen engines for XFce session manager
Group: Graphical desktop/XFce
License: GPL
PreReq: %name = %version-%release

%description engines
Additional splash screen engines for XFce session manager.

%prep
%setup
%patch0 -p1

%build
%xfce4reconf
%configure \
	--disable-static \
	--enable-gen-doc \
	%{subst_enable gnome} \
	%{?_enable_gnome:--enable-libgnome-keyring} \
	--enable-session-screenshots \
	--enable-panel-plugin \
	--disable-hal \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL AUTHORS
%doc doc/FAQ doc/README.Kiosk
%_defaultdocdir/%name
%_sysconfdir/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%config(noreplace) %_sysconfdir/xdg/autostart/xfce4-tips-autostart.desktop
%_bindir/*
%dir %_libdir/xfce4/session
%dir %_libdir/xfce4/session/splash-engines
%_libdir/xfce4/session/splash-engines/libmice.so
%exclude %_libdir/xfce4/session/splash-engines/*.la
%_libdir/xfce4/session/xfsm-*
%_libdir/xfce4/panel/plugins/*.so
%exclude %_libdir/xfce4/panel/plugins/*.la
%_datadir/xfce4/panel-plugins/*.desktop
%_datadir/xfce4/tips
%_desktopdir/*
%_iconsdir/hicolor/*/*/*
%_mandir/man?/*

%files -n libxfsm
%_libdir/lib*.so.*

%files devel
%_includedir/xfce4/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%files engines
%_datadir/themes/Default/balou
%_libdir/xfce4/session/splash-engines/*.so
%exclude %_libdir/xfce4/session/splash-engines/libmice.so
%_libdir/xfce4/session/balou*

%changelog
* Tue Feb 15 2011 Mikhail Efremov <sem@altlinux.org> 4.8.1-alt1
- Updated to 4.8.1.

* Mon Jan 24 2011 Mikhail Efremov <sem@altlinux.org> 4.8.0-alt1
- Spec cleanup, tar.bz2 -> tar.
- Fix shadows in 'simple' splash engine (patch from Ubuntu).
- Drop old Ubuntu's icons.
- Remove old patches.
- Fix license.
- Updated to 4.8.0.

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt1
- Xfce 4.6 beta1

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Mon Oct 15 2007 Igor Zubkov <icesik@altlinux.org> 4.4.1-alt1.1
- NMU
  + fix build with new intltool

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- add patches from Ubuntu 7.04
- add images from Ubuntu 7.04

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Wed Oct 25 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt2
- fix x86_64

* Wed Sep 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- new version 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
